%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%bcond_with tests

Summary: Extended Python Debugger
Name:    pydb
Version: 1.26
Release: 13%{?dist}
License: GPLv2+
Group:   Development/Debuggers
Url:     http://bashdb.sourceforge.net/pydb
Source:  http://downloads.sourceforge.net/bashdb/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel
BuildArch: noarch

%description
Extended Python Debugger is a more complete debugger for Python
than the stock pdb.py debugger. It supports a "restart" command,
non-interactive POSIX-like line tracing, command options, disassembly
of instructions, and stack traces that give better information for exec
statements. Stepping/nexting skips over method/function "defs". It tries
to follow gdb's command set, unless there is a good reason not to.

%package -n emacs-pydb
Summary:        Pydb support for Emacs
Group:          Development/Debuggers
BuildRequires:  emacs emacs-common emacs-el >= 21
Requires:       pydb = %{version}-%{release}
Requires:       emacs >= 21

%description -n emacs-pydb
Pydb support for Emacs.

%prep
%setup -q
%{_bindir}/iconv -f iso8859-1 -t utf8 ChangeLog -o ChangeLog.txt
mv ChangeLog.txt ChangeLog

%build
%configure --with-site-packages=%{python_sitelib}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
ln -sf ../..%{python_sitelib}/%{name}/%{name}.py %{buildroot}%{_bindir}/%{name}

%check
%{?with_tests:make check}

%clean
rm -rf %{buildroot}

%files -n emacs-pydb
%defattr(-,root,root,-)
%{_datadir}/emacs/site-lisp/pydb.el*

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS NEWS TODO
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.26-7
- Conditionally executing tests. 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-6 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild 

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.26-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Sep 18 2009 Paulo Roma <roma@lcg.ufrj.br> 1.26-4
- Updated to 1.26

* Sun Feb 25 2009 Paulo Roma <roma@lcg.ufrj.br> 1.25-4
- Included missing doc files.
- Using relative symbolic link %%{_bindir}/%%{name}.
- Converted Changelog to UTF8.
- Added make check.
- Removed BR fonconfig.

* Sun Feb 08 2009 Paulo Roma <roma@lcg.ufrj.br> 1.25-3
- Updated to 1.25

* Mon Jun 02 2008 Paulo Roma <roma@lcg.ufrj.br> 1.23-3
- Updated to 1.23

* Fri Nov 16 2007 Paulo Roma <roma@lcg.ufrj.br> 1.22-3
- Included BR emacs.
- Installing in %%python_sitelib

* Sun Jul 22 2007 Paulo Roma <roma@lcg.ufrj.br> 1.22-2
- Updated to 1.22
- Using noarch architecture and emacs-pydb.

* Fri Feb 16 2007 Paulo Roma <roma@lcg.ufrj.br> 1.21-1
- Updated to 1.21

* Sat Dec 09 2006 Paulo Roma <roma@lcg.ufrj.br> 1.19-1
- Rewriten spec file for Fedora 6.

* Sat Nov 18 2006 Vitaly Lipatov <lav@altlinux.ru> 1.19-alt0.1
- new version 1.19 (with rpmrb script)

* Sun Jul 30 2006 Vitaly Lipatov <lav@altlinux.ru> 1.17-alt0.1
- initial build for ALT Linux Sisyphus
